VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_892(3:0)
        SIGNAL F_MOSI
        SIGNAL F_DS
        SIGNAL F_SCK
        SIGNAL F_RS
        SIGNAL XLXN_917(31:0)
        SIGNAL LC_DATA(31:0)
        SIGNAL ClkIn
        SIGNAL SYSCLK
        SIGNAL PS2_Clk
        SIGNAL PS2_Data
        SIGNAL PS2code(7:0)
        SIGNAL LC_ENA_0
        SIGNAL CPU_RST
        SIGNAL XLXN_1492
        SIGNAL F_MISO
        SIGNAL RAMD_RD(31:0)
        SIGNAL PS2code(31:0)
        SIGNAL LC_ENA_1
        SIGNAL KEY_PRESS
        SIGNAL F_Int
        BEGIN SIGNAL cursor(31:0)
        END SIGNAL
        SIGNAL XLXN_1819
        SIGNAL XLXN_1820
        SIGNAL TXT_ADR(15:0)
        SIGNAL TXT_ADR(11:0)
        SIGNAL LCDDATA(3:0)
        SIGNAL LCDLOAD
        SIGNAL LCDCLK
        SIGNAL LCDFRAME
        SIGNAL LCDON
        SIGNAL TestLED
        PORT Input F_MOSI
        PORT Input F_DS
        PORT Input F_SCK
        PORT Input F_RS
        PORT Input ClkIn
        PORT Input PS2_Clk
        PORT Input PS2_Data
        PORT Output F_MISO
        PORT Output F_Int
        PORT Output LCDDATA(3:0)
        PORT Output LCDLOAD
        PORT Output LCDCLK
        PORT Output LCDFRAME
        PORT Output LCDON
        PORT Output TestLED
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF ps2kbd
            TIMESTAMP 2009 2 23 21 5 14
            RECTANGLE N 64 -320 352 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 352 -288 416 -288 
            LINE N 352 -224 416 -224 
            LINE N 352 -32 416 -32 
            RECTANGLE N 352 -172 416 -148 
            LINE N 352 -160 416 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_LRC
            TIMESTAMP 2009 6 9 14 35 57
            LINE N 384 32 448 32 
            LINE N 384 96 448 96 
            LINE N 384 160 448 160 
            LINE N 384 224 448 224 
            RECTANGLE N 384 -108 448 -84 
            LINE N 384 -96 448 -96 
            LINE N 384 -992 448 -992 
            RECTANGLE N 384 -684 448 -660 
            LINE N 384 -672 448 -672 
            RECTANGLE N 384 -620 448 -596 
            LINE N 384 -608 448 -608 
            RECTANGLE N 384 -556 448 -532 
            LINE N 384 -544 448 -544 
            RECTANGLE N 384 -492 448 -468 
            LINE N 384 -480 448 -480 
            LINE N 384 -928 448 -928 
            LINE N 384 -864 448 -864 
            LINE N 384 -800 448 -800 
            LINE N 384 -736 448 -736 
            LINE N 384 -160 448 -160 
            LINE N 384 -224 448 -224 
            RECTANGLE N 384 -300 448 -276 
            LINE N 384 -288 448 -288 
            LINE N 0 -992 -64 -992 
            LINE N 0 -928 -64 -928 
            LINE N 0 -864 -64 -864 
            LINE N 0 -800 -64 -800 
            LINE N 0 -736 -64 -736 
            RECTANGLE N -64 -684 0 -660 
            LINE N 0 -672 -64 -672 
            RECTANGLE N -64 -620 0 -596 
            LINE N 0 -608 -64 -608 
            RECTANGLE N -64 -556 0 -532 
            LINE N 0 -544 -64 -544 
            RECTANGLE N -64 -492 0 -468 
            LINE N 0 -480 -64 -480 
            RECTANGLE N -64 -428 0 -404 
            LINE N 0 -416 -64 -416 
            RECTANGLE N -64 -108 0 -84 
            LINE N 0 -96 -64 -96 
            RECTANGLE N 0 -1024 384 256 
        END BLOCKDEF
        BEGIN BLOCKDEF LCDCONTROL
            TIMESTAMP 2009 6 29 8 32 24
            LINE N 64 -1088 0 -1088 
            LINE N 64 -1024 0 -1024 
            LINE N 64 -880 0 -880 
            LINE N 64 -832 0 -832 
            LINE N 64 -928 0 -928 
            LINE N 416 -960 480 -960 
            RECTANGLE N 0 -748 64 -724 
            LINE N 64 -736 0 -736 
            RECTANGLE N 0 -684 64 -660 
            LINE N 64 -672 0 -672 
            RECTANGLE N 64 -1128 416 -444 
            RECTANGLE N 416 -748 480 -724 
            LINE N 416 -736 480 -736 
            LINE N 416 -672 480 -672 
            LINE N 416 -608 480 -608 
            LINE N 416 -544 480 -544 
            LINE N 416 -480 480 -480 
            LINE N 416 -864 480 -864 
        END BLOCKDEF
        BEGIN BLOCKDEF cr16ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -256 320 -256 
            LINE N 0 -32 64 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 64 -320 320 -64 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -128 40 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_341 constant
            BEGIN ATTR CValue "0"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_892(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_759 constant
            BEGIN ATTR CValue "24042009"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_917(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_833 ibufg
            PIN I ClkIn
            PIN O SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_884 ps2kbd
            PIN Rst_n XLXN_1492
            PIN Clk SYSCLK
            PIN PS2_Clk PS2_Clk
            PIN PS2_Data PS2_Data
            PIN Press KEY_PRESS
            PIN Release XLXN_1819
            PIN Reset CPU_RST
            PIN ScanCode(7:0) PS2code(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_966 inv
            PIN I LC_ENA_0
            PIN O XLXN_1492
        END BLOCK
        BEGIN BLOCK XLXI_980 SPI_LRC
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D3(31:0) XLXN_917(31:0)
            PIN D2(31:0) PS2code(31:0)
            PIN D1(31:0)
            PIN D0(31:0)
            PIN SYSCLK SYSCLK
            PIN BASEADR(3:0) XLXN_892(3:0)
            PIN RAMD_RD(31:0) RAMD_RD(31:0)
            PIN Q0(31:0) cursor(31:0)
            PIN Q1(31:0)
            PIN Q2(31:0)
            PIN Q3(31:0)
            PIN STROBE0
            PIN STROBE1
            PIN STROBE2
            PIN STROBE3
            PIN LC_OEN
            PIN LC_WEN
            PIN LC_ADDR(18:0)
            PIN RAMD_WR(31:0) LC_DATA(31:0)
            PIN F_MISO F_MISO
            PIN LC_ENA_0 LC_ENA_0
            PIN LC_ENA_1 LC_ENA_1
            PIN LC_ENA_2
            PIN LC_ENA_3
        END BLOCK
        BEGIN BLOCK XLXI_1014 LCDCONTROL
            PIN SYSCLK50 SYSCLK
            PIN TXT_WR
            PIN DATA(7:0)
            PIN RESET KEY_PRESS
            PIN ADR(11:0)
            PIN TCMD_WR
            PIN GCMD_WR
            PIN GDONE
            PIN LCDFRAME LCDFRAME
            PIN LCDLOAD LCDLOAD
            PIN LCDCLK LCDCLK
            PIN LCDON LCDON
            PIN LCDDATA(3:0) LCDDATA(3:0)
            PIN BLINK
        END BLOCK
        BEGIN BLOCK XLXI_963 buf
            PIN I
            PIN O F_Int
        END BLOCK
        BEGIN BLOCK XLXI_1017 cr16ce
            PIN C XLXN_1819
            PIN CE XLXN_1820
            PIN CLR CPU_RST
            PIN Q(15:0) TXT_ADR(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_1018 vcc
            PIN P XLXN_1820
        END BLOCK
        BEGIN BLOCK XLXI_905 inv
            PIN I LCDON
            PIN O TestLED
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 7040 5440
        ATTR LengthUnitName "Inch"
        ATTR GridsPerUnit "10"
        BEGIN BRANCH XLXN_892(3:0)
            WIRE 224 2080 336 2080
            WIRE 336 2032 336 2080
            WIRE 336 2032 528 2032
        END BRANCH
        BEGIN BRANCH XLXN_917(31:0)
            WIRE 224 1968 528 1968
        END BRANCH
        BEGIN BRANCH ClkIn
            WIRE 192 1168 224 1168
        END BRANCH
        BEGIN BRANCH PS2_Clk
            WIRE 336 3200 576 3200
        END BRANCH
        BEGIN BRANCH PS2_Data
            WIRE 336 3264 576 3264
        END BRANCH
        BEGIN BRANCH PS2code(7:0)
            WIRE 992 3136 1648 3136
            WIRE 1648 3136 2432 3136
            WIRE 2432 1872 2576 1872
            WIRE 2432 1872 2432 3136
            BEGIN DISPLAY 1648 3136 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 272 1712 F_MOSI R180 28
        IOMARKER 272 1520 F_DS R180 28
        IOMARKER 272 1648 F_SCK R180 28
        IOMARKER 272 1584 F_RS R180 28
        IOMARKER 336 3200 PS2_Clk R180 28
        IOMARKER 336 3264 PS2_Data R180 28
        BEGIN BRANCH XLXN_1492
            WIRE 400 3008 576 3008
        END BRANCH
        IOMARKER 256 1040 F_MISO R180 28
        BEGIN BRANCH F_MISO
            WIRE 256 1040 1088 1040
            WIRE 1088 1040 1088 1456
            WIRE 1040 1456 1088 1456
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 272 1712 528 1712
        END BRANCH
        BEGIN BRANCH F_SCK
            WIRE 272 1648 528 1648
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 272 1584 528 1584
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 272 1520 528 1520
        END BRANCH
        BEGIN BRANCH LC_DATA(31:0)
            WIRE 1040 2352 1648 2352
            WIRE 1648 2352 2240 2352
            BEGIN DISPLAY 1648 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 192 1168 ClkIn R180 28
        INSTANCE XLXI_833 224 1200 R0
        BEGIN INSTANCE XLXI_980 592 2448 R0
        END INSTANCE
        BEGIN BRANCH RAMD_RD(31:0)
            WIRE 384 2352 528 2352
            BEGIN DISPLAY 384 2352 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_884 576 3296 R0
        END INSTANCE
        INSTANCE XLXI_966 176 3040 R0
        BEGIN BRANCH PS2code(31:0)
            WIRE 416 1904 528 1904
            BEGIN DISPLAY 416 1904 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_759 80 1936 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_341 80 2048 R0
        END INSTANCE
        BEGIN BRANCH CPU_RST
            WIRE 992 3264 1456 3264
            WIRE 1456 3264 1648 3264
            WIRE 1648 3264 1648 3696
            WIRE 1648 3696 2080 3696
            BEGIN DISPLAY 1456 3264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LC_ENA_1
            WIRE 1040 2544 1584 2544
            BEGIN DISPLAY 1584 2544 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1014 2576 2448 R0
        END INSTANCE
        BEGIN BRANCH F_Int
            WIRE 3088 3280 3232 3280
        END BRANCH
        INSTANCE XLXI_963 2864 3312 R0
        IOMARKER 3232 3280 F_Int R0 28
        BEGIN BRANCH cursor(31:0)
            WIRE 1040 1776 1264 1776
            BEGIN DISPLAY 1264 1776 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1017 2080 3728 R0
        BEGIN BRANCH XLXN_1819
            WIRE 992 3072 1904 3072
            WIRE 1904 3072 1904 3600
            WIRE 1904 3600 2080 3600
        END BRANCH
        INSTANCE XLXI_1018 1936 3408 R0
        BEGIN BRANCH XLXN_1820
            WIRE 2000 3408 2000 3536
            WIRE 2000 3536 2080 3536
        END BRANCH
        BEGIN BRANCH TXT_ADR(15:0)
            WIRE 2464 3472 2496 3472
            BEGIN DISPLAY 2496 3472 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXT_ADR(11:0)
            WIRE 2336 1936 2576 1936
            BEGIN DISPLAY 2336 1936 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LC_ENA_0
            WIRE 160 2880 160 3008
            WIRE 160 3008 176 3008
            WIRE 160 2880 1488 2880
            WIRE 1040 2480 1488 2480
            WIRE 1488 2480 1648 2480
            WIRE 1488 2480 1488 2880
            BEGIN DISPLAY 1648 2480 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH KEY_PRESS
            WIRE 992 3008 1680 3008
            WIRE 1680 3008 2400 3008
            WIRE 2400 1424 2576 1424
            WIRE 2400 1424 2400 3008
            BEGIN DISPLAY 1680 3008 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 448 1168 464 1168
            WIRE 464 1168 464 1360
            WIRE 464 1360 464 1456
            WIRE 464 1456 528 1456
            WIRE 464 1456 464 2656
            WIRE 464 2656 464 3072
            WIRE 464 3072 576 3072
            WIRE 464 1360 2304 1360
            WIRE 2304 1360 2576 1360
            BEGIN DISPLAY 464 2656 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
            BEGIN DISPLAY 2304 1360 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LCDDATA(3:0)
            WIRE 3056 1712 3392 1712
        END BRANCH
        BEGIN BRANCH LCDLOAD
            WIRE 3056 1776 3392 1776
        END BRANCH
        BEGIN BRANCH LCDCLK
            WIRE 3056 1840 3392 1840
        END BRANCH
        BEGIN BRANCH LCDFRAME
            WIRE 3056 1904 3392 1904
        END BRANCH
        BEGIN BRANCH LCDON
            WIRE 3056 1968 3168 1968
            WIRE 3168 1968 3392 1968
            WIRE 3168 1968 3168 2304
            WIRE 3168 2304 3280 2304
        END BRANCH
        BEGIN BRANCH TestLED
            WIRE 3504 2304 3600 2304
        END BRANCH
        INSTANCE XLXI_905 3280 2336 R0
        IOMARKER 3392 1712 LCDDATA(3:0) R0 28
        IOMARKER 3392 1776 LCDLOAD R0 28
        IOMARKER 3392 1840 LCDCLK R0 28
        IOMARKER 3392 1904 LCDFRAME R0 28
        IOMARKER 3392 1968 LCDON R0 28
        IOMARKER 3600 2304 TestLED R0 28
    END SHEET
END SCHEMATIC
