VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL video(3:0)
        SIGNAL VSYNC
        SIGNAL XLXN_384
        SIGNAL XLXN_607
        SIGNAL XLXN_1701
        SIGNAL XLXN_1703
        SIGNAL pixadr(15:0)
        SIGNAL pixel(15:0)
        SIGNAL XLXN_1599(0:0)
        SIGNAL pixel(7:0)
        SIGNAL pixel(15:8)
        SIGNAL video(0)
        SIGNAL video(1)
        SIGNAL XLXN_1882
        SIGNAL XLXN_1881
        SIGNAL XLXN_1880
        SIGNAL RED(2)
        SIGNAL GREEN(2)
        SIGNAL BLUE(2)
        SIGNAL XLXN_1936
        SIGNAL XLXN_1937
        SIGNAL XLXN_1938
        SIGNAL SYSCLK50
        SIGNAL GXY_WR
        SIGNAL RST
        SIGNAL GX2(7:0)
        SIGNAL GY2(7:0)
        SIGNAL GX1(7:0)
        SIGNAL GY1(7:0)
        SIGNAL DATA(7:0)
        SIGNAL ADR(11:0)
        SIGNAL TXT_WR
        SIGNAL BLINK
        SIGNAL HSYNC
        SIGNAL CLK25
        SIGNAL RED(0)
        SIGNAL GREEN(0)
        SIGNAL BLUE(0)
        SIGNAL XLXN_1955
        SIGNAL XLXN_1965
        SIGNAL CLK12_5
        SIGNAL GRIDX(7:0)
        SIGNAL GRIDY(7:0)
        SIGNAL XLXN_2048(3:0)
        SIGNAL XLXN_2051(7:0)
        SIGNAL XLXN_2052(7:0)
        SIGNAL RED(2:0)
        SIGNAL GREEN(2:0)
        SIGNAL BLUE(2:0)
        SIGNAL GDONE
        SIGNAL XLXN_2056
        SIGNAL FRAMEDONE
        SIGNAL XLXN_2057(7:0)
        SIGNAL XLXN_2058(7:0)
        SIGNAL XLXN_2059(7:0)
        SIGNAL XLXN_2060(7:0)
        SIGNAL XLXN_2061(7:0)
        SIGNAL XLXN_2062(7:0)
        SIGNAL BLUE(1)
        SIGNAL RED(1)
        SIGNAL XLXN_2068
        SIGNAL XLXN_2071
        SIGNAL PORT_ID(7:0)
        SIGNAL PORT_WR
        SIGNAL XLXN_2082(3:0)
        PORT Output VSYNC
        PORT Input SYSCLK50
        PORT Input RST
        PORT Input DATA(7:0)
        PORT Output BLINK
        PORT Output HSYNC
        PORT Output RED(2:0)
        PORT Output GREEN(2:0)
        PORT Output BLUE(2:0)
        PORT Output GDONE
        PORT Output FRAMEDONE
        PORT Input PORT_ID(7:0)
        PORT Input PORT_WR
        BEGIN BLOCKDEF cb4re
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -192 320 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
            LINE N 384 -384 320 -384 
            LINE N 384 -448 320 -448 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 384 -128 320 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            RECTANGLE N 64 -512 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF vga_txt
            TIMESTAMP 2009 5 14 5 50 18
            LINE N 320 -416 384 -416 
            LINE N 64 -352 0 -352 
            LINE N 64 -416 0 -416 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 64 -288 0 -288 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 20 64 44 
            LINE N 64 32 0 32 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 64 -448 320 72 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF mid_point
            TIMESTAMP 2009 6 7 14 43 14
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 64 -448 320 40 
            RECTANGLE N 0 -204 64 -180 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -128 384 -128 
            LINE N 64 -256 0 -256 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -192 384 -192 
            LINE N 320 -256 384 -256 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -12 64 12 
            LINE N 64 0 0 0 
            LINE N 320 0 384 0 
        END BLOCKDEF
        BEGIN BLOCKDEF framer
            TIMESTAMP 2009 6 6 12 24 26
            RECTANGLE N 0 596 64 620 
            LINE N 64 608 0 608 
            RECTANGLE N 0 660 64 684 
            LINE N 64 672 0 672 
            LINE N 320 608 384 608 
            LINE N 320 672 384 672 
            LINE N 320 544 384 544 
            RECTANGLE N 0 404 64 428 
            LINE N 64 416 0 416 
            RECTANGLE N 0 468 64 492 
            LINE N 64 480 0 480 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 64 32 0 32 
            RECTANGLE N 0 148 64 172 
            LINE N 64 160 0 160 
            RECTANGLE N 0 212 64 236 
            LINE N 64 224 0 224 
            RECTANGLE N 0 276 64 300 
            LINE N 64 288 0 288 
            RECTANGLE N 0 340 64 364 
            LINE N 64 352 0 352 
            LINE N 64 96 0 96 
            RECTANGLE N 64 -192 320 704 
        END BLOCKDEF
        BEGIN BLOCKDEF graph_mem
            TIMESTAMP 2009 5 11 19 51 40
            RECTANGLE N 32 48 304 384 
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            BEGIN LINE W 0 144 32 144 
            END LINE
            LINE N 0 256 32 256 
            BEGIN LINE W 0 352 32 352 
            END LINE
            LINE N 0 304 32 304 
            BEGIN LINE W 336 352 304 352 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF parser
            TIMESTAMP 2009 6 7 14 43 0
            LINE N 320 928 384 928 
            LINE N 320 416 384 416 
            RECTANGLE N 320 468 384 492 
            LINE N 320 480 384 480 
            RECTANGLE N 320 532 384 556 
            LINE N 320 544 384 544 
            RECTANGLE N 320 596 384 620 
            LINE N 320 608 384 608 
            RECTANGLE N 320 660 384 684 
            LINE N 320 672 384 672 
            RECTANGLE N 320 724 384 748 
            LINE N 320 736 384 736 
            RECTANGLE N 320 788 384 812 
            LINE N 320 800 384 800 
            RECTANGLE N 320 148 384 172 
            LINE N 320 160 384 160 
            RECTANGLE N 320 212 384 236 
            LINE N 320 224 384 224 
            RECTANGLE N 320 276 384 300 
            LINE N 320 288 384 288 
            RECTANGLE N 320 340 384 364 
            LINE N 320 352 384 352 
            LINE N 64 32 0 32 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
            RECTANGLE N 320 852 384 876 
            LINE N 320 864 384 864 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 64 -448 320 972 
            LINE N 320 -416 384 -416 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_192 cb4re
            PIN C VSYNC
            PIN CE XLXN_384
            PIN R XLXN_607
            PIN CEO
            PIN Q0
            PIN Q1
            PIN Q2
            PIN Q3 BLINK
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_194 gnd
            PIN G XLXN_607
        END BLOCK
        BEGIN BLOCK XLXI_193 vcc
            PIN P XLXN_384
        END BLOCK
        BEGIN BLOCK XLXI_766 cb4re
            PIN C SYSCLK50
            PIN CE XLXN_1701
            PIN R XLXN_1703
            PIN CEO
            PIN Q0 CLK25
            PIN Q1 CLK12_5
            PIN Q2
            PIN Q3
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_767 gnd
            PIN G XLXN_1703
        END BLOCK
        BEGIN BLOCK XLXI_768 vcc
            PIN P XLXN_1701
        END BLOCK
        BEGIN BLOCK XLXI_844 and2
            PIN I0 video(0)
            PIN I1 XLXN_2071
            PIN O XLXN_1882
        END BLOCK
        BEGIN BLOCK XLXI_843 and2
            PIN I0 XLXN_2068
            PIN I1 XLXN_2071
            PIN O XLXN_1881
        END BLOCK
        BEGIN BLOCK XLXI_839 and2
            PIN I0 video(1)
            PIN I1 XLXN_2071
            PIN O XLXN_1880
        END BLOCK
        BEGIN BLOCK XLXI_811 or2
            PIN I0 XLXN_1880
            PIN I1 XLXN_1938
            PIN O RED(2)
        END BLOCK
        BEGIN BLOCK XLXI_810 or2
            PIN I0 XLXN_1881
            PIN I1 XLXN_1937
            PIN O GREEN(2)
        END BLOCK
        BEGIN BLOCK XLXI_809 or2
            PIN I0 XLXN_1882
            PIN I1 XLXN_1936
            PIN O BLUE(2)
        END BLOCK
        BEGIN BLOCK XLXI_835 mid_point
            PIN clk SYSCLK50
            PIN reset RST
            PIN XY_wr GXY_WR
            PIN X1(7:0) GX1(7:0)
            PIN Y1(7:0) GY1(7:0)
            PIN X2(7:0) GX2(7:0)
            PIN Y2(7:0) GY2(7:0)
            PIN RAM_wr XLXN_1599(0:0)
            PIN Done XLXN_2056
            PIN X_addr(7:0) pixel(7:0)
            PIN Y_addr(7:0) pixel(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_875 framer
            PIN vsync VSYNC
            PIN hsync HSYNC
            PIN clk12 CLK12_5
            PIN clk25 CLK25
            PIN smallw
            PIN grid_X(7:0) GRIDX(7:0)
            PIN grid_Y(7:0) GRIDY(7:0)
            PIN start_X(7:0) XLXN_2059(7:0)
            PIN start_Y(7:0) XLXN_2060(7:0)
            PIN size_X(7:0) XLXN_2057(7:0)
            PIN size_Y(7:0) XLXN_2058(7:0)
            PIN grid XLXN_1965
            PIN frame XLXN_2071
            PIN framedone FRAMEDONE
            PIN adr(15:0) pixadr(15:0)
            PIN trig_X(7:0) XLXN_2061(7:0)
            PIN trig_Y(7:0) XLXN_2062(7:0)
            PIN trig_vert BLUE(1)
            PIN trig_hor RED(1)
        END BLOCK
        BEGIN BLOCK XLXI_876 vga_txt
            PIN RST
            PIN SYSCLK50 SYSCLK50
            PIN RAMWR TXT_WR
            PIN RAMDASCII(7:0) DATA(7:0)
            PIN RAMADR(11:0) ADR(11:0)
            PIN CURSX(7:0) XLXN_2051(7:0)
            PIN CURSY(7:0) XLXN_2052(7:0)
            PIN COLOR(3:0) XLXN_2048(3:0)
            PIN R XLXN_1938
            PIN G XLXN_1937
            PIN B XLXN_1936
            PIN hsync HSYNC
            PIN vsync VSYNC
        END BLOCK
        BEGIN BLOCK XLXI_877 graph_mem
            PIN addra(15:0) pixel(15:0)
            PIN wea(0:0) XLXN_1599(0:0)
            PIN dina(3:0) XLXN_2082(3:0)
            PIN clka SYSCLK50
            PIN addrb(15:0) pixadr(15:0)
            PIN clkb SYSCLK50
            PIN doutb(3:0) video(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_879 or2
            PIN I0 XLXN_1965
            PIN I1 XLXN_2071
            PIN O XLXN_1955
        END BLOCK
        BEGIN BLOCK XLXI_871 and2b1
            PIN I0 BLUE(2)
            PIN I1 XLXN_1965
            PIN O BLUE(0)
        END BLOCK
        BEGIN BLOCK XLXI_872 and2b1
            PIN I0 GREEN(2)
            PIN I1 XLXN_1955
            PIN O GREEN(0)
        END BLOCK
        BEGIN BLOCK XLXI_873 and2b1
            PIN I0 RED(2)
            PIN I1 XLXN_1965
            PIN O RED(0)
        END BLOCK
        BEGIN BLOCK XLXI_885 parser
            PIN clk SYSCLK50
            PIN reset RST
            PIN PORT_WR PORT_WR
            PIN plot_done XLXN_2056
            PIN PORT_ID(7:0) PORT_ID(7:0)
            PIN DATA(7:0) DATA(7:0)
            PIN TEXT_WR TXT_WR
            PIN XY_wr GXY_WR
            PIN GDONE GDONE
            PIN GSMALL
            PIN X1(7:0) GX1(7:0)
            PIN Y1(7:0) GY1(7:0)
            PIN X2(7:0) GX2(7:0)
            PIN Y2(7:0) GY2(7:0)
            PIN FRAMECOLOR(3:0)
            PIN GRAPHCOLOR(3:0) XLXN_2082(3:0)
            PIN TEXTCOLOR(3:0) XLXN_2048(3:0)
            PIN CURSX(7:0) XLXN_2051(7:0)
            PIN CURSY(7:0) XLXN_2052(7:0)
            PIN GSTARTX(7:0) XLXN_2061(7:0)
            PIN GSTARTY(7:0) XLXN_2062(7:0)
            PIN GSIZEX(7:0)
            PIN GSIZEY(7:0)
            PIN GRIDX(7:0) GRIDX(7:0)
            PIN GRIDY(7:0) GRIDY(7:0)
            PIN TEXTADR(11:0) ADR(11:0)
        END BLOCK
        BEGIN BLOCK XLXI_887 constant
            BEGIN ATTR CValue "60"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_2058(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_886 constant
            BEGIN ATTR CValue "80"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_2057(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_888 constant
            BEGIN ATTR CValue "36"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_2059(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_889 constant
            BEGIN ATTR CValue "24"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_2060(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_890 or2
            PIN I0 video(0)
            PIN I1 video(1)
            PIN O XLXN_2068
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH video(3:0)
            WIRE 3184 1856 3424 1856
            WIRE 3424 1856 3504 1856
            WIRE 3504 1856 3600 1856
        END BRANCH
        BUSTAP 3504 1856 3504 1760
        BUSTAP 3424 1856 3424 1760
        BEGIN BRANCH VSYNC
            WIRE 2304 1280 2320 1280
            WIRE 2320 1280 2320 1920
            WIRE 2320 1920 2368 1920
            WIRE 2320 752 2320 1280
            WIRE 2320 752 4432 752
            WIRE 4432 752 4432 1264
            WIRE 4432 1264 4576 1264
            WIRE 4432 752 5136 752
        END BRANCH
        BEGIN BRANCH XLXN_384
            WIRE 4528 1152 4528 1200
            WIRE 4528 1200 4576 1200
        END BRANCH
        INSTANCE XLXI_192 4576 1392 R0
        BEGIN BRANCH XLXN_607
            WIRE 4528 1360 4528 1376
            WIRE 4528 1360 4576 1360
        END BRANCH
        INSTANCE XLXI_194 4464 1504 R0
        INSTANCE XLXI_193 4464 1152 R0
        BEGIN BRANCH XLXN_1701
            WIRE 1392 416 1392 464
            WIRE 1392 464 1440 464
        END BRANCH
        INSTANCE XLXI_766 1440 656 R0
        BEGIN BRANCH XLXN_1703
            WIRE 1392 624 1392 640
            WIRE 1392 624 1440 624
        END BRANCH
        INSTANCE XLXI_767 1328 768 R0
        INSTANCE XLXI_768 1328 416 R0
        BEGIN BRANCH pixadr(15:0)
            WIRE 2752 1856 2848 1856
        END BRANCH
        BEGIN BRANCH pixel(15:0)
            WIRE 2032 1584 2080 1584
            WIRE 2080 1584 2128 1584
            WIRE 2128 1584 2192 1584
            WIRE 2192 1584 2848 1584
            BEGIN DISPLAY 2128 1584 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1599(0:0)
            WIRE 1648 1712 2848 1712
        END BRANCH
        BEGIN BRANCH pixel(7:0)
            WIRE 1648 1776 1968 1776
            WIRE 1968 1776 2080 1776
            WIRE 2080 1680 2080 1776
            BEGIN DISPLAY 1968 1776 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pixel(15:8)
            WIRE 1648 1840 1968 1840
            WIRE 1968 1840 2192 1840
            WIRE 2192 1680 2192 1840
            BEGIN DISPLAY 1968 1840 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2192 1584 2192 1680
        BUSTAP 2080 1584 2080 1680
        BEGIN BRANCH video(0)
            WIRE 3504 944 3552 944
            WIRE 3504 944 3504 1664
            WIRE 3504 1664 3536 1664
            WIRE 3504 1664 3504 1744
            WIRE 3504 1744 3504 1760
            BEGIN DISPLAY 3504 1744 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_839 3536 1312 R0
        BEGIN BRANCH XLXN_1882
            WIRE 3792 1632 3840 1632
            WIRE 3840 1536 3856 1536
            WIRE 3840 1536 3840 1632
        END BRANCH
        BEGIN BRANCH XLXN_1881
            WIRE 3808 1040 4208 1040
            WIRE 3808 1040 3808 1376
            WIRE 3808 1376 3856 1376
            WIRE 4128 880 4208 880
            WIRE 4208 880 4208 1040
        END BRANCH
        BEGIN BRANCH XLXN_1880
            WIRE 3792 1216 3856 1216
        END BRANCH
        BEGIN BRANCH RED(2)
            WIRE 4112 1184 4224 1184
            WIRE 4224 1184 4256 1184
            WIRE 4224 1184 4224 2064
            WIRE 4224 2064 4288 2064
            BEGIN DISPLAY 4256 1184 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GREEN(2)
            WIRE 4112 1344 4192 1344
            WIRE 4192 1344 4256 1344
            WIRE 4192 1344 4192 2208
            WIRE 4192 2208 4288 2208
            BEGIN DISPLAY 4256 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BLUE(2)
            WIRE 4112 1504 4160 1504
            WIRE 4160 1504 4272 1504
            WIRE 4160 1504 4160 2352
            WIRE 4160 2352 4288 2352
            BEGIN DISPLAY 4272 1504 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_811 3856 1280 R0
        INSTANCE XLXI_810 3856 1440 R0
        INSTANCE XLXI_809 3856 1600 R0
        BEGIN BRANCH XLXN_1936
            WIRE 2304 1024 3040 1024
            WIRE 3040 1024 3040 1472
            WIRE 3040 1472 3856 1472
        END BRANCH
        BEGIN BRANCH XLXN_1937
            WIRE 2304 960 3072 960
            WIRE 3072 960 3072 1312
            WIRE 3072 1312 3856 1312
        END BRANCH
        BEGIN BRANCH XLXN_1938
            WIRE 2304 896 3104 896
            WIRE 3104 896 3104 1152
            WIRE 3104 1152 3856 1152
        END BRANCH
        BEGIN BRANCH SYSCLK50
            WIRE 432 896 672 896
            WIRE 672 896 672 1648
            WIRE 672 1648 736 1648
            WIRE 672 896 1264 896
            WIRE 1264 896 1920 896
            WIRE 1264 896 1264 1424
            WIRE 1264 1424 2784 1424
            WIRE 2784 1424 2784 1760
            WIRE 2784 1760 2848 1760
            WIRE 2784 1760 2784 1808
            WIRE 2784 1808 2848 1808
            WIRE 1264 1424 1264 1552
            WIRE 1264 528 1440 528
            WIRE 1264 528 1264 896
        END BRANCH
        BEGIN INSTANCE XLXI_835 1264 1968 R0
        END INSTANCE
        BEGIN BRANCH GXY_WR
            WIRE 1120 1712 1264 1712
        END BRANCH
        BEGIN BRANCH GX2(7:0)
            WIRE 1120 1776 1264 1776
        END BRANCH
        BEGIN BRANCH GY2(7:0)
            WIRE 1120 1840 1264 1840
        END BRANCH
        BEGIN BRANCH GX1(7:0)
            WIRE 1120 1904 1264 1904
        END BRANCH
        BEGIN BRANCH GY1(7:0)
            WIRE 1120 1968 1264 1968
        END BRANCH
        BEGIN BRANCH DATA(7:0)
            WIRE 432 1152 576 1152
            WIRE 576 1152 576 1968
            WIRE 576 1968 736 1968
            WIRE 576 1152 1920 1152
        END BRANCH
        BEGIN BRANCH BLINK
            WIRE 4960 1136 5120 1136
        END BRANCH
        BEGIN BRANCH HSYNC
            WIRE 2304 1216 2352 1216
            WIRE 2352 1216 2448 1216
            WIRE 2352 1216 2352 1856
            WIRE 2352 1856 2368 1856
        END BRANCH
        BEGIN INSTANCE XLXI_875 2368 2016 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_876 1920 1312 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_877 2848 1504 R0
        END INSTANCE
        BEGIN BRANCH CLK25
            WIRE 1824 208 1888 208
            WIRE 1888 208 1888 2048
            WIRE 1888 2048 2208 2048
            WIRE 2208 2048 2368 2048
            BEGIN DISPLAY 2208 2048 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RED(0)
            WIRE 4544 2032 4656 2032
            BEGIN DISPLAY 4656 2032 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GREEN(0)
            WIRE 4544 2176 4656 2176
            BEGIN DISPLAY 4656 2176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BLUE(0)
            WIRE 4544 2320 4656 2320
            BEGIN DISPLAY 4656 2320 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_871 4288 2416 R0
        INSTANCE XLXI_872 4288 2272 R0
        INSTANCE XLXI_873 4288 2128 R0
        BEGIN BRANCH XLXN_1955
            WIRE 4128 2144 4288 2144
        END BRANCH
        BEGIN BRANCH XLXN_1965
            WIRE 2752 1984 2848 1984
            WIRE 2848 1984 2848 2176
            WIRE 2848 2176 3808 2176
            WIRE 3808 2176 3808 2288
            WIRE 3808 2288 4288 2288
            WIRE 3808 2176 3872 2176
            WIRE 3808 2000 3808 2176
            WIRE 3808 2000 4288 2000
        END BRANCH
        BEGIN BRANCH CLK12_5
            WIRE 1824 272 1840 272
            WIRE 1840 272 1856 272
            WIRE 1856 272 1856 1984
            WIRE 1856 1984 2208 1984
            WIRE 2208 1984 2368 1984
            BEGIN DISPLAY 1840 272 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
            BEGIN DISPLAY 2208 1984 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRIDX(7:0)
            WIRE 1120 2736 1456 2736
            WIRE 1456 2736 2032 2736
            WIRE 2032 2432 2368 2432
            WIRE 2032 2432 2032 2736
            BEGIN DISPLAY 1456 2736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRIDY(7:0)
            WIRE 1120 2800 1456 2800
            WIRE 1456 2800 2064 2800
            WIRE 2064 2496 2368 2496
            WIRE 2064 2496 2064 2800
            BEGIN DISPLAY 1456 2800 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 5120 1136 BLINK R0 28
        IOMARKER 2448 1216 HSYNC R0 28
        IOMARKER 5136 752 VSYNC R0 28
        IOMARKER 432 1152 DATA(7:0) R180 28
        IOMARKER 384 1424 RST R180 28
        BEGIN BRANCH XLXN_2048(3:0)
            WIRE 1120 2224 1200 2224
            WIRE 1200 1216 1920 1216
            WIRE 1200 1216 1200 2224
        END BRANCH
        BEGIN BRANCH XLXN_2051(7:0)
            WIRE 1120 2288 1776 2288
            WIRE 1776 1280 1920 1280
            WIRE 1776 1280 1776 2288
        END BRANCH
        BEGIN BRANCH XLXN_2052(7:0)
            WIRE 1120 2352 1808 2352
            WIRE 1808 1344 1808 2352
            WIRE 1808 1344 1920 1344
        END BRANCH
        IOMARKER 432 896 SYSCLK50 R180 28
        BEGIN BRANCH RED(2:0)
            WIRE 5056 2048 5104 2048
        END BRANCH
        BEGIN BRANCH GREEN(2:0)
            WIRE 5056 2144 5104 2144
        END BRANCH
        BEGIN BRANCH BLUE(2:0)
            WIRE 5056 2240 5104 2240
        END BRANCH
        IOMARKER 5104 2048 RED(2:0) R0 28
        IOMARKER 5104 2144 GREEN(2:0) R0 28
        IOMARKER 5104 2240 BLUE(2:0) R0 28
        BEGIN BRANCH RST
            WIRE 384 1424 624 1424
            WIRE 624 1424 624 1712
            WIRE 624 1712 736 1712
            WIRE 624 1424 1232 1424
            WIRE 1232 1424 1232 1616
            WIRE 1232 1616 1264 1616
        END BRANCH
        BEGIN BRANCH GDONE
            WIRE 1120 2928 1264 2928
        END BRANCH
        IOMARKER 1264 2928 GDONE R0 28
        BEGIN BRANCH FRAMEDONE
            WIRE 2752 2560 5088 2560
        END BRANCH
        IOMARKER 5088 2560 FRAMEDONE R0 28
        BEGIN BRANCH XLXN_2057(7:0)
            WIRE 2336 2304 2368 2304
        END BRANCH
        BEGIN BRANCH XLXN_2058(7:0)
            WIRE 2336 2368 2368 2368
        END BRANCH
        BEGIN INSTANCE XLXI_887 2192 2336 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_886 2192 2272 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2059(7:0)
            WIRE 2336 2176 2368 2176
        END BRANCH
        BEGIN INSTANCE XLXI_888 2192 2144 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2060(7:0)
            WIRE 2336 2240 2368 2240
        END BRANCH
        BEGIN INSTANCE XLXI_889 2192 2208 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2061(7:0)
            WIRE 1120 2480 1760 2480
            WIRE 1760 2480 1760 2624
            WIRE 1760 2624 2368 2624
        END BRANCH
        BEGIN BRANCH XLXN_2062(7:0)
            WIRE 1120 2544 1728 2544
            WIRE 1728 2544 1728 2688
            WIRE 1728 2688 2368 2688
        END BRANCH
        BEGIN BRANCH BLUE(1)
            WIRE 2752 2624 4656 2624
            BEGIN DISPLAY 4656 2624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RED(1)
            WIRE 2752 2688 4656 2688
            BEGIN DISPLAY 4656 2688 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_844 3536 1728 R0
        BEGIN BRANCH video(1)
            WIRE 3424 880 3552 880
            WIRE 3424 880 3424 1248
            WIRE 3424 1248 3536 1248
            WIRE 3424 1248 3424 1744
            WIRE 3424 1744 3424 1760
            BEGIN DISPLAY 3424 1744 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_890 3552 1008 R0
        BEGIN BRANCH XLXN_2068
            WIRE 3808 912 3872 912
        END BRANCH
        INSTANCE XLXI_843 3872 976 R0
        BEGIN BRANCH XLXN_2071
            WIRE 2752 1920 2912 1920
            WIRE 2912 1920 2912 2112
            WIRE 2912 2112 3248 2112
            WIRE 3248 2112 3872 2112
            WIRE 3248 848 3872 848
            WIRE 3248 848 3248 1184
            WIRE 3248 1184 3536 1184
            WIRE 3248 1184 3248 1600
            WIRE 3248 1600 3536 1600
            WIRE 3248 1600 3248 2112
        END BRANCH
        INSTANCE XLXI_879 3872 2240 R0
        BEGIN DISPLAY 3436 540 TEXT "Spezial-Version fuer OSZI"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 3436 620 TEXT "festverdrahtete Farben und Position"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN BRANCH PORT_ID(7:0)
            WIRE 400 1904 736 1904
        END BRANCH
        BEGIN BRANCH ADR(11:0)
            WIRE 1120 1648 1168 1648
            WIRE 1168 1088 1168 1648
            WIRE 1168 1088 1456 1088
            WIRE 1456 1088 1920 1088
            BEGIN DISPLAY 1456 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PORT_WR
            WIRE 400 1840 736 1840
        END BRANCH
        IOMARKER 400 1840 PORT_WR R180 28
        IOMARKER 400 1904 PORT_ID(7:0) R180 28
        BEGIN INSTANCE XLXI_885 736 2000 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2056
            WIRE 672 2032 736 2032
            WIRE 672 2032 672 3056
            WIRE 672 3056 1664 3056
            WIRE 1648 1968 1664 1968
            WIRE 1664 1968 1664 3056
        END BRANCH
        BEGIN BRANCH TXT_WR
            WIRE 1120 1584 1136 1584
            WIRE 1136 1024 1136 1584
            WIRE 1136 1024 1456 1024
            WIRE 1456 1024 1920 1024
            BEGIN DISPLAY 1456 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2082(3:0)
            WIRE 1120 2160 1744 2160
            WIRE 1744 1648 2848 1648
            WIRE 1744 1648 1744 2160
        END BRANCH
    END SHEET
END SCHEMATIC
