VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_2113
        SIGNAL XLXN_2114
        SIGNAL XLXN_2115
        SIGNAL XLXN_2117
        SIGNAL SYSCLK50
        SIGNAL XLXN_2238(3:0)
        SIGNAL CURS_X(7:0)
        SIGNAL CURS_Y(7:0)
        SIGNAL XLXN_2266(7:0)
        SIGNAL ADR(9:0)
        SIGNAL TXT_DATA16(15:0)
        SIGNAL TXT_WR
        SIGNAL XLXN_2270(9:0)
        SIGNAL XLXN_2267(11:0)
        SIGNAL TXT_COLOR(3:0)
        SIGNAL DATA(7:0)
        SIGNAL TXT_DATA16(7:0)
        SIGNAL TXT_DATA16(11:8)
        SIGNAL text_data(11)
        SIGNAL text_data(7:0)
        SIGNAL text_data(15:0)
        SIGNAL text_data(9)
        SIGNAL text_data(8)
        SIGNAL pixel_column(8:0)
        SIGNAL pixel_line(7:0)
        SIGNAL write_addr(15:0)
        SIGNAL XLXN_2355(0:0)
        SIGNAL write_addr(15:8)
        SIGNAL write_addr(7:0)
        SIGNAL XLXN_2359
        SIGNAL XLXN_2360(7:0)
        SIGNAL XLXN_2361(7:0)
        SIGNAL XLXN_2362(7:0)
        SIGNAL XLXN_2363(7:0)
        SIGNAL XLXN_2364
        SIGNAL RESET
        SIGNAL GDONE
        SIGNAL START_X(7:0)
        SIGNAL START_Y(7:0)
        SIGNAL SIZE_X(7:0)
        SIGNAL SIZE_Y(7:0)
        SIGNAL GRID_X(7:0)
        SIGNAL GRID_Y(7:0)
        SIGNAL XLXN_2398(15:0)
        SIGNAL XLXN_2400
        SIGNAL XLXN_2407(0:0)
        SIGNAL XLXN_2408
        SIGNAL XLXN_2409
        SIGNAL XLXN_2410
        SIGNAL XLXN_2411
        SIGNAL XLXN_2413
        SIGNAL XLXN_2414(0:0)
        SIGNAL graph_color(3:0)
        SIGNAL graph_color(1)
        SIGNAL graph_color(0)
        SIGNAL XLXN_2420
        SIGNAL frame_color(3:0)
        SIGNAL frame_color(2)
        SIGNAL frame_color(3)
        SIGNAL ADR(11:0)
        SIGNAL TCMD_WR
        SIGNAL GCMD_WR
        SIGNAL ADR(3:0)
        SIGNAL BLINK
        SIGNAL LCDFRAME
        SIGNAL LCDLOAD
        SIGNAL LCDCLK
        SIGNAL LCDON
        SIGNAL LCDDATA(3:0)
        SIGNAL text_data(10)
        SIGNAL VS_60Hz
        SIGNAL XLXN_2421
        SIGNAL PLOTSYNC
        SIGNAL XLXN_2423
        SIGNAL XLXN_2425
        PORT Input SYSCLK50
        PORT Input TXT_WR
        PORT Input DATA(7:0)
        PORT Input RESET
        PORT Output GDONE
        PORT Input ADR(11:0)
        PORT Input TCMD_WR
        PORT Input GCMD_WR
        PORT Output BLINK
        PORT Output LCDFRAME
        PORT Output LCDLOAD
        PORT Output LCDCLK
        PORT Output LCDON
        PORT Output LCDDATA(3:0)
        PORT Output VS_60Hz
        PORT Output PLOTSYNC
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF mem_font
            TIMESTAMP 2009 6 26 8 6 47
            RECTANGLE N 32 32 544 320 
            BEGIN LINE W 0 80 32 80 
            END LINE
            LINE N 0 272 32 272 
            BEGIN LINE W 576 80 544 80 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF lcd_timing
            TIMESTAMP 2009 6 30 13 29 44
            LINE N 384 -112 448 -112 
            LINE N 384 -304 448 -304 
            LINE N 384 -240 448 -240 
            LINE N 384 -176 448 -176 
            RECTANGLE N 384 -60 448 -36 
            LINE N 384 -48 448 -48 
            RECTANGLE N -48 -188 16 -164 
            LINE N 16 -176 -48 -176 
            RECTANGLE N -48 -124 16 -100 
            LINE N 16 -112 -48 -112 
            RECTANGLE N 384 324 448 348 
            LINE N 384 336 448 336 
            RECTANGLE N -48 324 16 348 
            LINE N 16 336 -48 336 
            RECTANGLE N 384 260 448 284 
            LINE N 384 272 448 272 
            RECTANGLE N -48 260 16 284 
            LINE N 16 272 -48 272 
            LINE N 16 -304 -48 -304 
            RECTANGLE N 384 452 448 476 
            LINE N 384 464 448 464 
            RECTANGLE N 384 516 448 540 
            LINE N 384 528 448 528 
            LINE N 384 592 448 592 
            RECTANGLE N 384 388 448 412 
            LINE N 384 400 448 400 
            LINE N 384 80 448 80 
            LINE N 16 464 -48 464 
            LINE N 16 528 -48 528 
            LINE N 16 592 -48 592 
            LINE N 16 16 -48 16 
            LINE N 16 80 -48 80 
            LINE N 16 400 -48 400 
            RECTANGLE N 16 -336 384 624 
            LINE N 384 16 448 16 
        END BLOCKDEF
        BEGIN BLOCKDEF mem_text_lcd
            TIMESTAMP 2009 6 26 8 18 30
            RECTANGLE N 32 32 544 576 
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            LINE N 0 272 32 272 
            BEGIN LINE W 0 336 32 336 
            END LINE
            LINE N 0 528 32 528 
            BEGIN LINE W 576 336 544 336 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF graph_mem_lcd
            TIMESTAMP 2009 6 28 11 58 8
            RECTANGLE N 32 32 544 432 
            BEGIN LINE W 0 80 32 80 
            END LINE
            BEGIN LINE W 0 112 32 112 
            END LINE
            BEGIN LINE W 0 208 32 208 
            END LINE
            LINE N 0 272 32 272 
            BEGIN LINE W 0 336 32 336 
            END LINE
            BEGIN LINE W 576 336 544 336 
            END LINE
            LINE N 0 400 32 400 
        END BLOCKDEF
        BEGIN BLOCKDEF mid_point
            TIMESTAMP 2009 6 7 14 43 16
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 64 -448 320 40 
            RECTANGLE N 0 -204 64 -180 
            LINE N 64 -192 0 -192 
            RECTANGLE N 0 -140 64 -116 
            LINE N 64 -128 0 -128 
            RECTANGLE N 320 -140 384 -116 
            LINE N 320 -128 384 -128 
            LINE N 64 -256 0 -256 
            RECTANGLE N 320 -204 384 -180 
            LINE N 320 -192 384 -192 
            LINE N 320 -256 384 -256 
            RECTANGLE N 0 -76 64 -52 
            LINE N 64 -64 0 -64 
            RECTANGLE N 0 -12 64 12 
            LINE N 64 0 0 0 
            LINE N 320 0 384 0 
        END BLOCKDEF
        BEGIN BLOCKDEF framer_lcd
            TIMESTAMP 2009 10 18 10 23 46
            LINE N 64 736 0 736 
            RECTANGLE N 0 404 64 428 
            LINE N 64 416 0 416 
            RECTANGLE N 0 468 64 492 
            LINE N 64 480 0 480 
            RECTANGLE N 0 148 64 172 
            LINE N 64 160 0 160 
            RECTANGLE N 0 212 64 236 
            LINE N 64 224 0 224 
            RECTANGLE N 0 276 64 300 
            LINE N 64 288 0 288 
            RECTANGLE N 0 340 64 364 
            LINE N 64 352 0 352 
            LINE N 320 160 384 160 
            LINE N 320 224 384 224 
            LINE N 64 96 0 96 
            RECTANGLE N 0 596 64 620 
            LINE N 64 608 0 608 
            RECTANGLE N 0 660 64 684 
            LINE N 64 672 0 672 
            RECTANGLE N 320 84 384 108 
            LINE N 320 96 384 96 
            LINE N 64 544 0 544 
            RECTANGLE N 64 64 320 768 
            LINE N 320 736 384 736 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF parser
            TIMESTAMP 2009 6 7 14 43 2
            LINE N 320 928 384 928 
            LINE N 320 416 384 416 
            RECTANGLE N 320 468 384 492 
            LINE N 320 480 384 480 
            RECTANGLE N 320 532 384 556 
            LINE N 320 544 384 544 
            RECTANGLE N 320 596 384 620 
            LINE N 320 608 384 608 
            RECTANGLE N 320 660 384 684 
            LINE N 320 672 384 672 
            RECTANGLE N 320 724 384 748 
            LINE N 320 736 384 736 
            RECTANGLE N 320 788 384 812 
            LINE N 320 800 384 800 
            RECTANGLE N 320 148 384 172 
            LINE N 320 160 384 160 
            RECTANGLE N 320 212 384 236 
            LINE N 320 224 384 224 
            RECTANGLE N 320 276 384 300 
            LINE N 320 288 384 288 
            RECTANGLE N 320 340 384 364 
            LINE N 320 352 384 352 
            LINE N 64 32 0 32 
            LINE N 64 -352 0 -352 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -44 384 -20 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -108 384 -84 
            LINE N 320 -96 384 -96 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -288 384 -288 
            LINE N 64 320 0 320 
            LINE N 64 384 0 384 
            RECTANGLE N 320 852 384 876 
            LINE N 320 864 384 864 
            RECTANGLE N 64 -384 320 968 
        END BLOCKDEF
        BEGIN BLOCKDEF and3b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -64 64 -192 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 144 -80 64 -80 
            LINE N 64 -176 144 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF cb2ce
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -384 320 -64 
            LINE N 384 -128 320 -128 
            LINE N 0 -32 64 -32 
            LINE N 0 -128 64 -128 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 0 -192 64 -192 
            LINE N 384 -192 320 -192 
            LINE N 384 -256 320 -256 
            LINE N 384 -320 320 -320 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1098 mem_text_lcd
            PIN addra(9:0) ADR(9:0)
            PIN dina(15:0) TXT_DATA16(15:0)
            PIN wea(0:0) TXT_WR
            PIN clka SYSCLK50
            PIN addrb(9:0) XLXN_2270(9:0)
            PIN clkb SYSCLK50
            PIN doutb(15:0) text_data(15:0)
        END BLOCK
        BEGIN BLOCK XLXI_1065 mem_font
            PIN addra(11:0) XLXN_2267(11:0)
            PIN clka SYSCLK50
            PIN douta(7:0) XLXN_2266(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1100(3:0) buf
            PIN I TXT_COLOR(3:0)
            PIN O TXT_DATA16(11:8)
        END BLOCK
        BEGIN BLOCK XLXI_1099(7:0) buf
            PIN I DATA(7:0)
            PIN O TXT_DATA16(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1086 lcd_timing
            PIN SYSCLK50 SYSCLK50
            PIN text_inverse text_data(11)
            PIN text_bright text_data(9)
            PIN text_dim text_data(8)
            PIN text_blink text_data(10)
            PIN pixel_bright XLXN_2413
            PIN pixel_dim XLXN_2411
            PIN font_data(7:0) XLXN_2266(7:0)
            PIN text_data(7:0) text_data(7:0)
            PIN cursx(7:0) CURS_X(7:0)
            PIN cursy(7:0) CURS_Y(7:0)
            PIN lcd_clk XLXN_2113
            PIN lcd_load XLXN_2114
            PIN lcd_frame XLXN_2115
            PIN lcd_on XLXN_2117
            PIN blink_out BLINK
            PIN pixel_clk XLXN_2400
            PIN lcd_addr(14:0)
            PIN text_addr(9:0) XLXN_2270(9:0)
            PIN pixel_column(8:0) pixel_column(8:0)
            PIN pixel_line(7:0) pixel_line(7:0)
            PIN font_addr(11:0) XLXN_2267(11:0)
            PIN lcd_data(3:0) XLXN_2238(3:0)
            PIN vs60Hz_out VS_60Hz
        END BLOCK
        BEGIN BLOCK XLXI_1114 graph_mem_lcd
            PIN addra(15:0) write_addr(15:0)
            PIN dina(0:0) graph_color(1)
            PIN wea(0:0) XLXN_2355(0:0)
            PIN clka SYSCLK50
            PIN addrb(15:0) XLXN_2398(15:0)
            PIN doutb(0:0) XLXN_2414(0:0)
            PIN clkb SYSCLK50
        END BLOCK
        BEGIN BLOCK XLXI_1115 graph_mem_lcd
            PIN addra(15:0) write_addr(15:0)
            PIN dina(0:0) graph_color(0)
            PIN wea(0:0) XLXN_2355(0:0)
            PIN clka SYSCLK50
            PIN addrb(15:0) XLXN_2398(15:0)
            PIN doutb(0:0) XLXN_2407(0:0)
            PIN clkb SYSCLK50
        END BLOCK
        BEGIN BLOCK XLXI_1117 mid_point
            PIN clk SYSCLK50
            PIN reset RESET
            PIN XY_wr XLXN_2359
            PIN X1(7:0) XLXN_2362(7:0)
            PIN Y1(7:0) XLXN_2363(7:0)
            PIN X2(7:0) XLXN_2360(7:0)
            PIN Y2(7:0) XLXN_2361(7:0)
            PIN RAM_wr XLXN_2355(0:0)
            PIN Done XLXN_2364
            PIN X_addr(7:0) write_addr(7:0)
            PIN Y_addr(7:0) write_addr(15:8)
        END BLOCK
        BEGIN BLOCK XLXI_1135 framer_lcd
            PIN clk SYSCLK50
            PIN checker_grid frame_color(2)
            PIN pixel_clk XLXN_2400
            PIN pixel_column(8:0) pixel_column(8:0)
            PIN pixel_line(7:0) pixel_line(7:0)
            PIN grid_X(7:0) GRID_X(7:0)
            PIN grid_Y(7:0) GRID_Y(7:0)
            PIN start_X(7:0) START_X(7:0)
            PIN start_Y(7:0) START_Y(7:0)
            PIN size_X(7:0) SIZE_X(7:0)
            PIN size_Y(7:0) SIZE_Y(7:0)
            PIN grid XLXN_2420
            PIN frame XLXN_2410
            PIN pixel_addr(15:0) XLXN_2398(15:0)
            PIN plotsync XLXN_2423
        END BLOCK
        BEGIN BLOCK XLXI_1138 and2
            PIN I0 XLXN_2410
            PIN I1 XLXN_2408
            PIN O XLXN_2411
        END BLOCK
        BEGIN BLOCK XLXI_1139 or2
            PIN I0 XLXN_2409
            PIN I1 XLXN_2407(0:0)
            PIN O XLXN_2408
        END BLOCK
        BEGIN BLOCK XLXI_1140 and2
            PIN I0 XLXN_2410
            PIN I1 XLXN_2414(0:0)
            PIN O XLXN_2413
        END BLOCK
        BEGIN BLOCK XLXI_1141 parser
            PIN clk SYSCLK50
            PIN reset RESET
            PIN GCMD_WR GCMD_WR
            PIN TCMD_WR TCMD_WR
            PIN plot_done XLXN_2364
            PIN CMD(3:0) ADR(3:0)
            PIN DATA(7:0) DATA(7:0)
            PIN XY_wr XLXN_2359
            PIN GDONE GDONE
            PIN GSMALL
            PIN X1(7:0) XLXN_2362(7:0)
            PIN Y1(7:0) XLXN_2363(7:0)
            PIN X2(7:0) XLXN_2360(7:0)
            PIN Y2(7:0) XLXN_2361(7:0)
            PIN FRAMECOLOR(3:0) frame_color(3:0)
            PIN GRAPHCOLOR(3:0) graph_color(3:0)
            PIN TEXTCOLOR(3:0) TXT_COLOR(3:0)
            PIN CURSX(7:0) CURS_X(7:0)
            PIN CURSY(7:0) CURS_Y(7:0)
            PIN GSTARTX(7:0) START_X(7:0)
            PIN GSTARTY(7:0) START_Y(7:0)
            PIN GSIZEX(7:0) SIZE_X(7:0)
            PIN GSIZEY(7:0) SIZE_Y(7:0)
            PIN GRIDX(7:0) GRID_X(7:0)
            PIN GRIDY(7:0) GRID_Y(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_1057 buf
            PIN I XLXN_2115
            PIN O LCDFRAME
        END BLOCK
        BEGIN BLOCK XLXI_1056 buf
            PIN I XLXN_2114
            PIN O LCDLOAD
        END BLOCK
        BEGIN BLOCK XLXI_1055 buf
            PIN I XLXN_2113
            PIN O LCDCLK
        END BLOCK
        BEGIN BLOCK XLXI_1064 buf
            PIN I XLXN_2117
            PIN O LCDON
        END BLOCK
        BEGIN BLOCK XLXI_1053(3:0) buf
            PIN I XLXN_2238(3:0)
            PIN O LCDDATA(3:0)
        END BLOCK
        BEGIN BLOCK XLXI_1143 and3b1
            PIN I0 XLXN_2414(0:0)
            PIN I1 frame_color(3)
            PIN I2 XLXN_2420
            PIN O XLXN_2409
        END BLOCK
        BEGIN BLOCK XLXI_1144 cb2ce
            PIN C XLXN_2423
            PIN CE XLXN_2425
            PIN CLR
            PIN CEO
            PIN Q0 PLOTSYNC
            PIN Q1
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_1146 vcc
            PIN P XLXN_2425
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        ATTR LengthUnitName "Inch"
        ATTR GridsPerUnit "10"
        BEGIN BRANCH XLXN_2113
            WIRE 3632 192 3808 192
        END BRANCH
        BEGIN BRANCH XLXN_2114
            WIRE 3632 256 3808 256
        END BRANCH
        BEGIN BRANCH XLXN_2115
            WIRE 3632 320 3808 320
        END BRANCH
        BEGIN BRANCH XLXN_2117
            WIRE 3632 384 3808 384
        END BRANCH
        BEGIN BRANCH SYSCLK50
            WIRE 208 192 416 192
            WIRE 416 192 1152 192
            WIRE 1152 192 2064 192
            WIRE 2064 192 2064 960
            WIRE 2064 960 2064 1280
            WIRE 2064 1280 2192 1280
            WIRE 2064 1280 2064 1536
            WIRE 2064 1536 2192 1536
            WIRE 2064 1536 2064 1984
            WIRE 2064 1984 2064 2112
            WIRE 2064 2112 2064 2416
            WIRE 2064 2416 2064 2544
            WIRE 2064 2544 2192 2544
            WIRE 2064 2416 2192 2416
            WIRE 2064 2112 2192 2112
            WIRE 2064 1984 2192 1984
            WIRE 2064 960 2192 960
            WIRE 2064 192 2480 192
            WIRE 2480 192 3136 192
            WIRE 1152 192 1152 1360
            WIRE 1152 1360 1216 1360
            WIRE 1152 1360 1152 2224
            WIRE 1152 2224 1216 2224
            WIRE 416 192 416 1456
            WIRE 416 1456 448 1456
            BEGIN DISPLAY 2480 192 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2238(3:0)
            WIRE 3632 448 3808 448
        END BRANCH
        BEGIN BRANCH XLXN_2266(7:0)
            WIRE 2768 768 3136 768
        END BRANCH
        BEGIN INSTANCE XLXI_1098 2192 1008 R0
        END INSTANCE
        BEGIN BRANCH ADR(9:0)
            WIRE 2016 1088 2192 1088
            BEGIN DISPLAY 2016 1088 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXT_DATA16(15:0)
            WIRE 2016 1120 2192 1120
            BEGIN DISPLAY 2016 1120 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXT_WR
            WIRE 192 1216 1584 1216
            WIRE 1584 1216 2192 1216
            BEGIN DISPLAY 1584 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2270(9:0)
            WIRE 2176 1344 2192 1344
            WIRE 2176 1344 2176 1664
            WIRE 2176 1664 3744 1664
            WIRE 3632 832 3744 832
            WIRE 3744 832 3744 1664
        END BRANCH
        BEGIN INSTANCE XLXI_1065 2192 688 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2267(11:0)
            WIRE 2176 96 2176 768
            WIRE 2176 768 2192 768
            WIRE 2176 96 3744 96
            WIRE 3744 96 3744 768
            WIRE 3632 768 3744 768
        END BRANCH
        BEGIN BRANCH TXT_COLOR(3:0)
            WIRE 832 2032 896 2032
            WIRE 896 608 896 2032
            WIRE 896 608 1280 608
            WIRE 1280 608 1424 608
            BEGIN DISPLAY 1280 608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DATA(7:0)
            WIRE 224 512 352 512
            WIRE 352 512 352 1776
            WIRE 352 1776 448 1776
            WIRE 352 512 1424 512
        END BRANCH
        BEGIN BRANCH TXT_DATA16(7:0)
            WIRE 1648 512 1728 512
            BEGIN DISPLAY 1728 512 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXT_DATA16(11:8)
            WIRE 1648 608 1728 608
            BEGIN DISPLAY 1728 608 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH text_data(11)
            WIRE 2928 896 2928 1248
            WIRE 2928 896 3008 896
            WIRE 3008 896 3136 896
            BEGIN DISPLAY 3008 896 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH text_data(7:0)
            WIRE 2880 832 2880 1248
            WIRE 2880 832 2960 832
            WIRE 2960 832 3136 832
            BEGIN DISPLAY 2960 832 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2928 1344 2928 1248
        BUSTAP 2880 1344 2880 1248
        BEGIN BRANCH text_data(9)
            WIRE 2976 960 2976 1248
            WIRE 2976 960 3056 960
            WIRE 3056 960 3136 960
            BEGIN DISPLAY 3056 960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 2976 1344 2976 1248
        BEGIN BRANCH text_data(8)
            WIRE 3024 1024 3024 1248
            WIRE 3024 1024 3088 1024
            WIRE 3088 1024 3136 1024
            BEGIN DISPLAY 3088 1024 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 3024 1344 3024 1248
        BEGIN BRANCH pixel_column(8:0)
            WIRE 1120 2736 1216 2736
            WIRE 1120 2736 1120 3040
            WIRE 1120 3040 4032 3040
            WIRE 3632 960 4032 960
            WIRE 4032 960 4032 2192
            WIRE 4032 2192 4032 3040
            BEGIN DISPLAY 4032 2192 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH pixel_line(7:0)
            WIRE 1152 2800 1216 2800
            WIRE 1152 2800 1152 3008
            WIRE 1152 3008 3936 3008
            WIRE 3632 1024 3936 1024
            WIRE 3936 1024 3936 2192
            WIRE 3936 2192 3936 3008
            BEGIN DISPLAY 3936 2192 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1114 2192 1712 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_1115 2192 2144 R0
        END INSTANCE
        BEGIN BRANCH write_addr(15:0)
            WIRE 1648 1984 1680 1984
            WIRE 1680 1984 1744 1984
            WIRE 1744 1984 1920 1984
            WIRE 1920 1984 1920 2224
            WIRE 1920 2224 2096 2224
            WIRE 2096 2224 2192 2224
            WIRE 1920 1792 1920 1984
            WIRE 1920 1792 2192 1792
            BEGIN DISPLAY 2096 2224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_1117 1216 1776 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2355(0:0)
            WIRE 1600 1520 1888 1520
            WIRE 1888 1520 1888 1920
            WIRE 1888 1920 1888 2352
            WIRE 1888 2352 2192 2352
            WIRE 1888 1920 2192 1920
        END BRANCH
        BEGIN BRANCH write_addr(15:8)
            WIRE 1600 1648 1680 1648
            WIRE 1680 1648 1680 1712
            WIRE 1680 1712 1680 1712
            WIRE 1680 1712 1680 1888
            BEGIN DISPLAY 1680 1708 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH write_addr(7:0)
            WIRE 1600 1584 1744 1584
            WIRE 1744 1584 1744 1712
            WIRE 1744 1712 1744 1888
            BEGIN DISPLAY 1744 1712 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2359
            WIRE 832 1520 1216 1520
        END BRANCH
        BEGIN BRANCH XLXN_2360(7:0)
            WIRE 832 1584 1216 1584
        END BRANCH
        BEGIN BRANCH XLXN_2361(7:0)
            WIRE 832 1648 1216 1648
        END BRANCH
        BEGIN BRANCH XLXN_2362(7:0)
            WIRE 832 1712 1216 1712
        END BRANCH
        BEGIN BRANCH XLXN_2363(7:0)
            WIRE 832 1776 1216 1776
        END BRANCH
        IOMARKER 224 512 DATA(7:0) R180 28
        IOMARKER 208 192 SYSCLK50 R180 28
        BEGIN BRANCH RESET
            WIRE 208 272 384 272
            WIRE 384 272 1088 272
            WIRE 1088 272 1088 1424
            WIRE 1088 1424 1216 1424
            WIRE 384 272 384 1520
            WIRE 384 1520 448 1520
        END BRANCH
        IOMARKER 208 272 RESET R180 28
        BEGIN BRANCH GDONE
            WIRE 832 2736 848 2736
            WIRE 848 2736 848 3136
            WIRE 848 3136 1312 3136
        END BRANCH
        BEGIN INSTANCE XLXI_1135 1216 2128 R0
        END INSTANCE
        BEGIN BRANCH START_X(7:0)
            WIRE 832 2288 1120 2288
            WIRE 1120 2288 1216 2288
            BEGIN DISPLAY 1120 2288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH START_Y(7:0)
            WIRE 832 2352 1104 2352
            WIRE 1104 2352 1216 2352
            BEGIN DISPLAY 1104 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SIZE_X(7:0)
            WIRE 832 2416 1104 2416
            WIRE 1104 2416 1216 2416
            BEGIN DISPLAY 1104 2416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SIZE_Y(7:0)
            WIRE 832 2480 1104 2480
            WIRE 1104 2480 1216 2480
            BEGIN DISPLAY 1104 2480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRID_X(7:0)
            WIRE 832 2544 1088 2544
            WIRE 1088 2544 1216 2544
            BEGIN DISPLAY 1088 2544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH GRID_Y(7:0)
            WIRE 832 2608 1088 2608
            WIRE 1088 2608 1216 2608
            BEGIN DISPLAY 1088 2608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_2398(15:0)
            WIRE 1600 2224 1856 2224
            WIRE 1856 2224 1856 2480
            WIRE 1856 2480 2192 2480
            WIRE 1856 2048 2192 2048
            WIRE 1856 2048 1856 2224
        END BRANCH
        BEGIN BRANCH XLXN_2400
            WIRE 1200 2864 1216 2864
            WIRE 1200 2864 1200 2976
            WIRE 1200 2976 3696 2976
            WIRE 3632 1088 3696 1088
            WIRE 3696 1088 3696 2976
        END BRANCH
        BEGIN BRANCH XLXN_2407(0:0)
            WIRE 2768 2480 2816 2480
        END BRANCH
        BEGIN BRANCH XLXN_2408
            WIRE 3072 2512 3216 2512
        END BRANCH
        INSTANCE XLXI_1138 3216 2640 R0
        BEGIN BRANCH XLXN_2414(0:0)
            WIRE 2160 2864 2240 2864
            WIRE 2160 2864 2160 2944
            WIRE 2160 2944 3104 2944
            WIRE 2768 2048 3104 2048
            WIRE 3104 2048 3216 2048
            WIRE 3104 2048 3104 2944
        END BRANCH
        INSTANCE XLXI_1140 3216 2176 R0
        BEGIN BRANCH XLXN_2410
            WIRE 1600 2288 1760 2288
            WIRE 1760 2288 1760 2656
            WIRE 1760 2656 3168 2656
            WIRE 3168 2112 3216 2112
            WIRE 3168 2112 3168 2576
            WIRE 3168 2576 3216 2576
            WIRE 3168 2576 3168 2656
        END BRANCH
        BUSTAP 1680 1984 1680 1888
        BUSTAP 1744 1984 1744 1888
        BEGIN BRANCH graph_color(3:0)
            WIRE 832 1968 1248 1968
            WIRE 1248 1872 1248 1968
            WIRE 1248 1872 1440 1872
            WIRE 1440 1872 1440 1872
            WIRE 1440 1872 1952 1872
            WIRE 1952 1872 1952 2256
            WIRE 1952 2256 1952 2272
            WIRE 1952 1808 1952 1824
            WIRE 1952 1824 1952 1872
            BEGIN DISPLAY 1448 1872 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1952 1824 2048 1824
        BEGIN BRANCH graph_color(1)
            WIRE 2048 1824 2096 1824
            WIRE 2096 1824 2192 1824
            BEGIN DISPLAY 2096 1824 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1952 2256 2048 2256
        BEGIN BRANCH graph_color(0)
            WIRE 2048 2256 2192 2256
        END BRANCH
        BEGIN BRANCH XLXN_2409
            WIRE 2496 2800 2800 2800
            WIRE 2800 2544 2800 2800
            WIRE 2800 2544 2816 2544
        END BRANCH
        BEGIN BRANCH XLXN_2420
            WIRE 1600 2352 1712 2352
            WIRE 1712 2352 1712 2736
            WIRE 1712 2736 2240 2736
        END BRANCH
        BEGIN INSTANCE XLXI_1141 448 1808 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2364
            WIRE 320 1280 1632 1280
            WIRE 1632 1280 1632 1776
            WIRE 320 1280 320 1840
            WIRE 320 1840 448 1840
            WIRE 1600 1776 1632 1776
        END BRANCH
        BEGIN BRANCH frame_color(3:0)
            WIRE 832 2672 864 2672
            BEGIN DISPLAY 864 2672 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH frame_color(2)
            WIRE 1104 2672 1168 2672
            WIRE 1168 2672 1168 2672
            WIRE 1168 2672 1216 2672
            BEGIN DISPLAY 1164 2672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH frame_color(3)
            WIRE 2208 2800 2240 2800
            BEGIN DISPLAY 2208 2800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 1312 3136 GDONE R0 28
        BEGIN DISPLAY 2788 1956 TEXT "color(1)=green on VGA"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2788 2324 TEXT "color(0)=blue on VGA"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH CURS_X(7:0)
            WIRE 832 2096 928 2096
            WIRE 928 320 928 2096
            WIRE 928 320 1488 320
            WIRE 1488 320 3136 320
            BEGIN DISPLAY 1488 320 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CURS_Y(7:0)
            WIRE 832 2160 960 2160
            WIRE 960 384 960 2160
            WIRE 960 384 1488 384
            WIRE 1488 384 3136 384
            BEGIN DISPLAY 1488 384 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1100(3:0) 1424 640 R0
        INSTANCE XLXI_1099(7:0) 1424 544 R0
        BEGIN BRANCH TCMD_WR
            WIRE 256 2128 448 2128
        END BRANCH
        BEGIN BRANCH GCMD_WR
            WIRE 256 2192 448 2192
        END BRANCH
        IOMARKER 256 2128 TCMD_WR R180 28
        IOMARKER 256 2192 GCMD_WR R180 28
        BEGIN BRANCH ADR(11:0)
            WIRE 192 1088 256 1088
            WIRE 256 1088 1552 1088
            BEGIN DISPLAY 1552 1088 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 192 1088 ADR(11:0) R180 28
        IOMARKER 192 1216 TXT_WR R180 28
        BUSTAP 256 1088 256 1184
        BEGIN BRANCH ADR(3:0)
            WIRE 256 1184 256 1408
            WIRE 256 1408 256 1408
            WIRE 256 1408 256 1712
            WIRE 256 1712 448 1712
            BEGIN DISPLAY 256 1412 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH BLINK
            WIRE 3632 576 3648 576
            WIRE 3648 576 4160 576
        END BRANCH
        BEGIN BRANCH LCDFRAME
            WIRE 4032 320 4160 320
        END BRANCH
        BEGIN BRANCH LCDLOAD
            WIRE 4032 256 4160 256
        END BRANCH
        BEGIN BRANCH LCDCLK
            WIRE 4032 192 4160 192
        END BRANCH
        BEGIN BRANCH LCDON
            WIRE 4032 384 4160 384
        END BRANCH
        BEGIN BRANCH LCDDATA(3:0)
            WIRE 4032 448 4160 448
        END BRANCH
        INSTANCE XLXI_1057 3808 352 R0
        INSTANCE XLXI_1056 3808 288 R0
        INSTANCE XLXI_1055 3808 224 R0
        INSTANCE XLXI_1064 3808 416 R0
        INSTANCE XLXI_1053(3:0) 3808 480 R0
        IOMARKER 4160 320 LCDFRAME R0 28
        IOMARKER 4160 256 LCDLOAD R0 28
        IOMARKER 4160 192 LCDCLK R0 28
        IOMARKER 4160 384 LCDON R0 28
        IOMARKER 4160 448 LCDDATA(3:0) R0 28
        BEGIN INSTANCE XLXI_1086 3184 496 R0
        END INSTANCE
        BEGIN BRANCH XLXN_2413
            WIRE 2800 512 3136 512
            WIRE 2800 512 2800 1216
            WIRE 2800 1216 3488 1216
            WIRE 3488 1216 3488 2080
            WIRE 3472 2080 3488 2080
        END BRANCH
        BEGIN BRANCH XLXN_2411
            WIRE 2832 576 3136 576
            WIRE 2832 576 2832 1184
            WIRE 2832 1184 3520 1184
            WIRE 3520 1184 3520 2544
            WIRE 3472 2544 3520 2544
        END BRANCH
        BEGIN BRANCH text_data(15:0)
            WIRE 2768 1344 2880 1344
            WIRE 2880 1344 2928 1344
            WIRE 2928 1344 2976 1344
            WIRE 2976 1344 3024 1344
            WIRE 3024 1344 3072 1344
            WIRE 3072 1344 3120 1344
            BEGIN DISPLAY 3120 1344 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BUSTAP 3072 1344 3072 1248
        BEGIN BRANCH text_data(10)
            WIRE 3072 1088 3072 1248
            WIRE 3072 1088 3120 1088
            WIRE 3120 1088 3136 1088
            BEGIN DISPLAY 3120 1088 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_1143 2240 2928 R0
        INSTANCE XLXI_1139 2816 2608 R0
        BEGIN BRANCH VS_60Hz
            WIRE 3632 512 3648 512
            WIRE 3648 512 4160 512
        END BRANCH
        IOMARKER 4160 512 VS_60Hz R0 28
        IOMARKER 4160 576 BLINK R0 28
        INSTANCE XLXI_1144 2128 3488 R0
        BEGIN BRANCH PLOTSYNC
            WIRE 2512 3168 2528 3168
            WIRE 2528 3168 4176 3168
        END BRANCH
        BEGIN BRANCH XLXN_2423
            WIRE 1600 2864 1856 2864
            WIRE 1856 2864 1856 3360
            WIRE 1856 3360 2128 3360
        END BRANCH
        INSTANCE XLXI_1146 1952 3200 R0
        BEGIN BRANCH XLXN_2425
            WIRE 2016 3200 2016 3296
            WIRE 2016 3296 2128 3296
        END BRANCH
        IOMARKER 4176 3168 PLOTSYNC R0 28
    END SHEET
END SCHEMATIC
