VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RxD
        SIGNAL Tx_Data(7:0)
        SIGNAL Rx_flush
        SIGNAL Rx_Data(7:0)
        SIGNAL Rx_valid
        SIGNAL TxD
        SIGNAL Tx_full
        SIGNAL Rx_full
        SIGNAL XLXN_58
        SIGNAL XLXN_59
        SIGNAL Tx_write
        SIGNAL XLXN_66
        SIGNAL XLXN_57
        SIGNAL Rx_ack
        SIGNAL Tx_reset
        SIGNAL XLXN_70
        SIGNAL SYSCLK
        SIGNAL XLXN_32
        SIGNAL XLXN_107
        SIGNAL XLXN_108(7:0)
        SIGNAL XLXN_108(6)
        SIGNAL XLXN_108(5)
        SIGNAL XLXN_108(4)
        SIGNAL XLXN_108(3)
        SIGNAL XLXN_108(2)
        SIGNAL XLXN_108(1)
        SIGNAL XLXN_108(0)
        SIGNAL BaudSel(2:0)
        SIGNAL BaudSel(2)
        SIGNAL BaudSel(1)
        SIGNAL BaudSel(0)
        PORT Input RxD
        PORT Input Tx_Data(7:0)
        PORT Input Rx_flush
        PORT Output Rx_Data(7:0)
        PORT Output Rx_valid
        PORT Output TxD
        PORT Output Tx_full
        PORT Output Rx_full
        PORT Input Tx_write
        PORT Input Rx_ack
        PORT Input Tx_reset
        PORT Input SYSCLK
        PORT Input BaudSel(2:0)
        BEGIN BLOCKDEF kcbaud
            TIMESTAMP 2009 4 9 10 43 19
            RECTANGLE N 64 -64 320 0 
            LINE N 64 -32 0 -32 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF uart_rx
            TIMESTAMP 2009 4 9 11 56 17
            RECTANGLE N 64 -320 464 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 464 -288 528 -288 
            LINE N 464 -224 528 -224 
            LINE N 464 -160 528 -160 
            RECTANGLE N 464 -44 528 -20 
            LINE N 464 -32 528 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF uart_tx
            TIMESTAMP 2009 4 9 11 56 51
            RECTANGLE N 64 -320 464 0 
            LINE N 64 -288 0 -288 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 464 -288 528 -288 
            LINE N 464 -224 528 -224 
            LINE N 464 -160 528 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF fd
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF and2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 256 -96 192 -96 
            LINE N 0 -128 64 -128 
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
        END BLOCKDEF
        BEGIN BLOCKDEF vcc
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -32 64 -64 
            LINE N 64 0 64 -32 
            LINE N 96 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF m8_1e
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -224 96 -224 
            LINE N 0 -160 96 -160 
            LINE N 0 -96 96 -96 
            LINE N 0 -288 96 -288 
            LINE N 0 -352 96 -352 
            LINE N 0 -416 96 -416 
            LINE N 0 -544 96 -544 
            LINE N 0 -608 96 -608 
            LINE N 0 -672 96 -672 
            LINE N 0 -736 96 -736 
            LINE N 160 -160 96 -160 
            LINE N 160 -268 160 -160 
            LINE N 128 -224 96 -224 
            LINE N 128 -264 128 -224 
            LINE N 192 -96 96 -96 
            LINE N 192 -276 192 -96 
            LINE N 224 -32 96 -32 
            LINE N 224 -280 224 -32 
            LINE N 320 -512 256 -512 
            LINE N 96 -768 96 -256 
            LINE N 256 -704 96 -768 
            LINE N 256 -288 256 -704 
            LINE N 96 -256 256 -288 
            LINE N 0 -32 96 -32 
            LINE N 0 -480 96 -480 
        END BLOCKDEF
        BEGIN BLOCKDEF cb8ce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 384 -128 320 -128 
            RECTANGLE N 320 -268 384 -244 
            LINE N 384 -256 320 -256 
            LINE N 0 -192 64 -192 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            LINE N 0 -128 64 -128 
            LINE N 0 -32 64 -32 
            LINE N 384 -192 320 -192 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_8 uart_rx
            PIN serial_in RxD
            PIN read_buffer XLXN_58
            PIN reset_buffer Rx_flush
            PIN en_16_x_baud XLXN_32
            PIN clk SYSCLK
            PIN buffer_data_present Rx_valid
            PIN buffer_full
            PIN buffer_half_full Rx_full
            PIN data_out(7:0) Rx_Data(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_9 uart_tx
            PIN write_buffer XLXN_66
            PIN reset_buffer Tx_reset
            PIN en_16_x_baud XLXN_32
            PIN clk SYSCLK
            PIN data_in(7:0) Tx_Data(7:0)
            PIN serial_out TxD
            PIN buffer_full Tx_full
            PIN buffer_half_full
        END BLOCK
        BEGIN BLOCK XLXI_12 fd
            PIN C SYSCLK
            PIN D Tx_write
            PIN Q XLXN_59
        END BLOCK
        BEGIN BLOCK XLXI_13 and2b1
            PIN I0 XLXN_59
            PIN I1 Tx_write
            PIN O XLXN_66
        END BLOCK
        BEGIN BLOCK XLXI_10 fd
            PIN C SYSCLK
            PIN D Rx_ack
            PIN Q XLXN_57
        END BLOCK
        BEGIN BLOCK XLXI_11 and2b1
            PIN I0 XLXN_57
            PIN I1 Rx_ack
            PIN O XLXN_58
        END BLOCK
        BEGIN BLOCK XLXI_17 vcc
            PIN P XLXN_70
        END BLOCK
        BEGIN BLOCK XLXI_29 cb8ce
            PIN C SYSCLK
            PIN CE XLXN_70
            PIN CLR
            PIN CEO
            PIN Q(7:0) XLXN_108(7:0)
            PIN TC
        END BLOCK
        BEGIN BLOCK XLXI_6 kcbaud
            PIN SYSCLK XLXN_107
            PIN BAUDx16 XLXN_32
        END BLOCK
        BEGIN BLOCK XLXI_28 m8_1e
            PIN D0 SYSCLK
            PIN D1 XLXN_108(0)
            PIN D2 XLXN_108(1)
            PIN D3 XLXN_108(2)
            PIN D4 XLXN_108(3)
            PIN D5 XLXN_108(4)
            PIN D6 XLXN_108(5)
            PIN D7 XLXN_108(6)
            PIN E XLXN_70
            PIN S0 BaudSel(0)
            PIN S1 BaudSel(1)
            PIN S2 BaudSel(2)
            PIN O XLXN_107
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH RxD
            WIRE 592 496 1632 496
        END BRANCH
        BEGIN BRANCH Tx_Data(7:0)
            WIRE 592 1376 1632 1376
        END BRANCH
        BEGIN BRANCH Rx_flush
            WIRE 592 624 1632 624
        END BRANCH
        BEGIN BRANCH Rx_Data(7:0)
            WIRE 2160 752 2400 752
        END BRANCH
        BEGIN BRANCH TxD
            WIRE 2160 1120 2400 1120
        END BRANCH
        BEGIN BRANCH Tx_full
            WIRE 2160 1184 2400 1184
        END BRANCH
        BEGIN BRANCH Rx_full
            WIRE 2160 624 2400 624
        END BRANCH
        BEGIN INSTANCE XLXI_8 1632 784 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_9 1632 1408 R0
        END INSTANCE
        BEGIN BRANCH XLXN_58
            WIRE 1552 192 1616 192
            WIRE 1616 192 1616 560
            WIRE 1616 560 1632 560
        END BRANCH
        BEGIN BRANCH XLXN_59
            WIRE 1264 1664 1296 1664
        END BRANCH
        INSTANCE XLXI_12 880 1920 R0
        INSTANCE XLXI_13 1296 1728 R0
        BEGIN BRANCH Tx_write
            WIRE 592 1504 784 1504
            WIRE 784 1504 784 1664
            WIRE 784 1664 880 1664
            WIRE 784 1504 1280 1504
            WIRE 1280 1504 1280 1600
            WIRE 1280 1600 1296 1600
        END BRANCH
        BEGIN BRANCH XLXN_66
            WIRE 1552 1632 1584 1632
            WIRE 1584 1120 1584 1632
            WIRE 1584 1120 1632 1120
        END BRANCH
        BEGIN BRANCH XLXN_57
            WIRE 1264 224 1296 224
        END BRANCH
        INSTANCE XLXI_10 880 480 R0
        INSTANCE XLXI_11 1296 288 R0
        BEGIN BRANCH Rx_ack
            WIRE 592 224 688 224
            WIRE 688 224 880 224
            WIRE 688 80 688 224
            WIRE 688 80 1280 80
            WIRE 1280 80 1280 160
            WIRE 1280 160 1296 160
        END BRANCH
        BEGIN BRANCH Tx_reset
            WIRE 592 1184 1632 1184
        END BRANCH
        BEGIN DISPLAY 1376 84 TEXT "Pulse Shaper 1 SYSCLK cycle"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH XLXN_70
            WIRE 464 1904 464 2160
            WIRE 464 2160 736 2160
            WIRE 464 2160 464 2608
            WIRE 464 2608 1632 2608
        END BRANCH
        BEGIN BRANCH XLXN_32
            WIRE 1488 688 1632 688
            WIRE 1488 688 1488 1248
            WIRE 1488 1248 1632 1248
            WIRE 1488 1248 1488 1472
            WIRE 1488 1472 2576 1472
            WIRE 2576 1472 2576 2128
            WIRE 2512 2128 2576 2128
        END BRANCH
        BEGIN DISPLAY 2184 1356 TEXT "Ken Chapmans UART for PicoBlaze"
            FONT 40 "Arial"
        END DISPLAY
        INSTANCE XLXI_17 400 1904 R0
        INSTANCE XLXI_29 736 2352 R0
        BEGIN BRANCH XLXN_107
            WIRE 1952 2128 2128 2128
        END BRANCH
        BEGIN INSTANCE XLXI_6 2128 2160 R0
        END INSTANCE
        BEGIN BRANCH XLXN_108(7:0)
            WIRE 1120 2096 1312 2096
            WIRE 1312 2096 1312 2160
            WIRE 1312 2160 1312 2224
            WIRE 1312 2224 1312 2288
            WIRE 1312 2288 1312 2352
            WIRE 1312 1936 1312 1968
            WIRE 1312 1968 1312 2032
            WIRE 1312 2032 1312 2096
        END BRANCH
        BUSTAP 1312 2352 1408 2352
        BEGIN BRANCH XLXN_108(6)
            WIRE 1408 2352 1472 2352
            WIRE 1472 2352 1632 2352
            BEGIN DISPLAY 1480 2352 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2288 1408 2288
        BEGIN BRANCH XLXN_108(5)
            WIRE 1408 2288 1472 2288
            WIRE 1472 2288 1632 2288
            BEGIN DISPLAY 1480 2288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2224 1408 2224
        BEGIN BRANCH XLXN_108(4)
            WIRE 1408 2224 1472 2224
            WIRE 1472 2224 1632 2224
            BEGIN DISPLAY 1480 2224 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2160 1408 2160
        BEGIN BRANCH XLXN_108(3)
            WIRE 1408 2160 1472 2160
            WIRE 1472 2160 1632 2160
            BEGIN DISPLAY 1480 2160 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2096 1408 2096
        BEGIN BRANCH XLXN_108(2)
            WIRE 1408 2096 1472 2096
            WIRE 1472 2096 1632 2096
            BEGIN DISPLAY 1480 2096 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2032 1408 2032
        BEGIN BRANCH XLXN_108(1)
            WIRE 1408 2032 1472 2032
            WIRE 1472 2032 1632 2032
            BEGIN DISPLAY 1480 2032 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 1968 1408 1968
        BEGIN BRANCH XLXN_108(0)
            WIRE 1408 1968 1472 1968
            WIRE 1472 1968 1632 1968
            BEGIN DISPLAY 1480 1968 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_28 1632 2640 R0
        BEGIN BRANCH BaudSel(2:0)
            WIRE 336 2480 1312 2480
            WIRE 1312 2480 1312 2544
            WIRE 1312 2544 1312 2560
            WIRE 1312 2400 1312 2416
            WIRE 1312 2416 1312 2480
        END BRANCH
        BUSTAP 1312 2544 1408 2544
        BEGIN BRANCH BaudSel(2)
            WIRE 1408 2544 1520 2544
            WIRE 1520 2544 1632 2544
            BEGIN DISPLAY 1520 2544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2480 1408 2480
        BEGIN BRANCH BaudSel(1)
            WIRE 1408 2480 1520 2480
            WIRE 1520 2480 1632 2480
            BEGIN DISPLAY 1520 2480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1312 2416 1408 2416
        BEGIN BRANCH BaudSel(0)
            WIRE 1408 2416 1520 2416
            WIRE 1520 2416 1632 2416
            BEGIN DISPLAY 1520 2416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN DISPLAY 2072 2236 TEXT "Counter 1/81 = 614400 Hz (38400 x 16) @50MHz"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2064 TEXT "0=38400 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 136 2116 TEXT "1=19200 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2164 TEXT "2=9600 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2212 TEXT "3=4800 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2260 TEXT "4=2400 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2308 TEXT "5=1200 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2356 TEXT "6=600 Bd"
            FONT 40 "Arial"
        END DISPLAY
        BEGIN DISPLAY 140 2404 TEXT "7=300 Bd"
            FONT 40 "Arial"
        END DISPLAY
        IOMARKER 592 752 SYSCLK R180 28
        IOMARKER 592 496 RxD R180 28
        IOMARKER 592 1376 Tx_Data(7:0) R180 28
        IOMARKER 592 624 Rx_flush R180 28
        IOMARKER 592 224 Rx_ack R180 28
        IOMARKER 592 1504 Tx_write R180 28
        IOMARKER 592 1184 Tx_reset R180 28
        IOMARKER 2400 752 Rx_Data(7:0) R0 28
        IOMARKER 2400 496 Rx_valid R0 28
        IOMARKER 2400 1120 TxD R0 28
        IOMARKER 2400 1184 Tx_full R0 28
        IOMARKER 2400 624 Rx_full R0 28
        IOMARKER 336 2480 BaudSel(2:0) R180 28
        BEGIN BRANCH Rx_valid
            WIRE 2160 496 2400 496
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 592 752 688 752
            WIRE 688 752 1632 752
            WIRE 688 752 688 1312
            WIRE 688 1312 1632 1312
            WIRE 688 1312 688 1792
            WIRE 688 1792 880 1792
            WIRE 688 1792 688 1904
            WIRE 688 1904 688 2224
            WIRE 688 2224 736 2224
            WIRE 688 1904 1632 1904
            WIRE 688 352 880 352
            WIRE 688 352 688 448
            WIRE 688 448 688 752
        END BRANCH
    END SHEET
END SCHEMATIC
